diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete.py
index f7e71412..d8d53092 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_delete.py
@@ -9,76 +9,72 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.functions.tests \
     import utils as trigger_funcs_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as triggers_utils
 
 
-class TriggersDeleteTestCase(BaseTestGenerator):
-    """This class will delete trigger under table node."""
-    skip_on_database = ['gpdb']
-    scenarios = [
-        ('Delete trigger Node URL', dict(url='/browser/trigger/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestTriggersDelete:
+
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_trigger_delete(self, context_of_tests):
+        """
+        When sending post request to add trigger
+        it returns 200 status
+        """
+
+        url = '/browser/trigger/obj/'
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    def setUp(self):
-        super(TriggersDeleteTestCase, self).setUp()
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to delete trigger.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to delete trigger.")
-        self.table_name = "table_trigger_%s" % (str(uuid.uuid4())[1:8])
-        self.table_id = tables_utils.create_table(self.server, self.db_name,
-                                                  self.schema_name,
-                                                  self.table_name)
-        self.func_name = "trigger_func_delete_%s" % str(uuid.uuid4())[1:8]
-        self.function_info = \
-            trigger_funcs_utils.create_trigger_function_with_trigger(
-                self.server, self.db_name, self.schema_name, self.func_name)
-        self.trigger_name = "test_trigger_delete_%s" % (str(uuid.uuid4())[1:8])
-        self.trigger_id = triggers_utils.create_trigger(self.server,
-                                                        self.db_name,
-                                                        self.schema_name,
-                                                        self.table_name,
-                                                        self.trigger_name,
-                                                        self.func_name)
+            raise Exception("Could not find the schema to add a trigger.")
+        table_name = "table_trigger_%s" % (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server, db_name,
+                                             schema_name,
+                                             table_name)
+        func_name = "trigger_func_add_%s" % str(uuid.uuid4())[1:8]
+        trigger_funcs_utils.create_trigger_function_with_trigger(
+            server, db_name, schema_name, func_name)
+
+        trigger_name = "test_trigger_add_%s" % (str(uuid.uuid4())[1:8])
+        trigger_id = triggers_utils.create_trigger(server,
+                                                   db_name,
+                                                   schema_name,
+                                                   table_name,
+                                                   trigger_name,
+                                                   func_name)
 
-    def runTest(self):
-        """This function will delete trigger under table node."""
-        trigger_response = triggers_utils.verify_trigger(self.server,
-                                                         self.db_name,
-                                                         self.trigger_name)
+        trigger_response = triggers_utils.verify_trigger(server,
+                                                         db_name,
+                                                         trigger_name)
         if not trigger_response:
             raise Exception("Could not find the trigger to delete.")
-        response = self.tester.delete(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id, self.table_id,
-                                                self.trigger_id),
+        response = http_client.delete(
+            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(url, utils.SERVER_GROUP,
+                                                server_id, db_id,
+                                                schema_id, table_id,
+                                                trigger_id),
             follow_redirects=True
         )
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.equal(200)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_get.py
index e23b6149..839ff03b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_get.py
@@ -9,71 +9,66 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.functions.tests \
     import utils as trigger_funcs_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as triggers_utils
 
 
-class TriggersGetTestCase(BaseTestGenerator):
-    """This class will fetch trigger under table node."""
-    skip_on_database = ['gpdb']
-    scenarios = [
-        ('Fetch trigger Node URL', dict(url='/browser/trigger/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestTriggersGet:
+
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_trigger_get(self, context_of_tests):
+        """
+        When sending get request to trigger endpoint
+        it returns 200 status
+        """
+
+        url = '/browser/trigger/obj/'
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
+
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
 
-    def setUp(self):
-        super(TriggersGetTestCase, self).setUp()
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to get a trigger.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to get a trigger.")
-        self.table_name = "table_trigger_%s" % (str(uuid.uuid4())[1:8])
-        self.table_id = tables_utils.create_table(self.server, self.db_name,
-                                                  self.schema_name,
-                                                  self.table_name)
-        self.func_name = "trigger_func_get_%s" % str(uuid.uuid4())[1:8]
-        self.function_info = \
-            trigger_funcs_utils.create_trigger_function_with_trigger(
-                self.server, self.db_name, self.schema_name, self.func_name)
-        self.trigger_name = "test_trigger_get_%s" % (str(uuid.uuid4())[1:8])
-        self.trigger_id = triggers_utils.create_trigger(self.server,
-                                                        self.db_name,
-                                                        self.schema_name,
-                                                        self.table_name,
-                                                        self.trigger_name,
-                                                        self.func_name)
+            raise Exception("Could not find the schema to add a trigger.")
+        table_name = "table_trigger_%s" % (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server, db_name,
+                                             schema_name,
+                                             table_name)
+        func_name = "trigger_func_add_%s" % str(uuid.uuid4())[1:8]
+        trigger_funcs_utils.create_trigger_function_with_trigger(
+            server, db_name, schema_name, func_name)
 
-    def runTest(self):
-        """This function will fetch trigger under table node."""
-        response = self.tester.get(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id, self.table_id,
-                                                self.trigger_id),
+        trigger_name = "test_trigger_add_%s" % (str(uuid.uuid4())[1:8])
+        trigger_id = triggers_utils.create_trigger(server,
+                                                   db_name,
+                                                   schema_name,
+                                                   table_name,
+                                                   trigger_name,
+                                                   func_name)
+        response = http_client.get(
+            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(url, utils.SERVER_GROUP,
+                                                server_id, db_id,
+                                                schema_id, table_id,
+                                                trigger_id),
             follow_redirects=True
         )
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.equal(200)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_put.py
index 927231f2..d6cbb05a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_put.py
@@ -10,6 +10,9 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.functions.tests \
     import utils as trigger_funcs_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
@@ -18,73 +21,71 @@ from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as triggers_utils
 
 
-class TriggersUpdateTestCase(BaseTestGenerator):
-    """This class will update trigger under table node."""
-    skip_on_database = ['gpdb']
-    scenarios = [
-        ('Put trigger Node URL', dict(url='/browser/trigger/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestTriggersPut:
+
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_trigger_put(self, context_of_tests):
+        """
+        When sending post request to add trigger
+        it returns 200 status
+        """
+
+        url = '/browser/trigger/obj/'
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    def setUp(self):
-        super(TriggersUpdateTestCase, self).setUp()
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception(
-                "Could not connect to database to update a trigger.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to update a trigger.")
-        self.table_name = "table_trigger_%s" % (str(uuid.uuid4())[1:8])
-        self.table_id = tables_utils.create_table(self.server, self.db_name,
-                                                  self.schema_name,
-                                                  self.table_name)
-        self.func_name = "trigger_func_add_%s" % str(uuid.uuid4())[1:8]
-        self.function_info = \
-            trigger_funcs_utils.create_trigger_function_with_trigger(
-                self.server, self.db_name, self.schema_name, self.func_name)
-        self.trigger_name = "test_trigger_delete_%s" % (str(uuid.uuid4())[1:8])
-        self.trigger_id = triggers_utils.create_trigger(self.server,
-                                                        self.db_name,
-                                                        self.schema_name,
-                                                        self.table_name,
-                                                        self.trigger_name,
-                                                        self.func_name)
+            raise Exception("Could not find the schema to add a trigger.")
+        table_name = "table_trigger_%s" % (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server, db_name,
+                                             schema_name,
+                                             table_name)
+        func_name = "trigger_func_add_%s" % str(uuid.uuid4())[1:8]
+        trigger_funcs_utils.create_trigger_function_with_trigger(
+            server, db_name, schema_name, func_name)
+
+        trigger_name = "test_trigger_add_%s" % (str(uuid.uuid4())[1:8])
+        trigger_id = triggers_utils.create_trigger(server,
+                                                   db_name,
+                                                   schema_name,
+                                                   table_name,
+                                                   trigger_name,
+                                                   func_name)
 
-    def runTest(self):
-        """This function will update trigger under table node."""
-        trigger_response = triggers_utils.verify_trigger(self.server,
-                                                         self.db_name,
-                                                         self.trigger_name)
+        trigger_response = triggers_utils.verify_trigger(server,
+                                                         db_name,
+                                                         trigger_name)
         if not trigger_response:
-            raise Exception("Could not find the trigger to delete.")
-        data = {"id": self.trigger_id,
-                "description": "This is test comment."
-                }
-        response = self.tester.put(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id, self.table_id,
-                                                self.trigger_id),
+            raise Exception("Could not find the trigger.")
+
+        data = {
+            "id": trigger_id,
+            "description": "This is test comment."
+        }
+        response = http_client.put(
+            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(url, utils.SERVER_GROUP,
+                                                server_id, db_id,
+                                                schema_id, table_id,
+                                                trigger_id),
             data=json.dumps(data),
             follow_redirects=True
         )
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.equal(200)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/__init__.py
index 34a3f666..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class SchemaTestGenerator(BaseTestGenerator):
-
-    def runTest(self):
-        return []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_add.py
index c19fda8d..f2307b4a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_add.py
@@ -10,39 +10,48 @@
 import json
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class SchemaAddTestCase(BaseTestGenerator):
-    """ This class will add new schema under database node. """
-    scenarios = [
-        # Fetching default URL for schema node.
-        ('Check Schema Node URL', dict(url='/browser/schema/obj/'))
-    ]
+class TestSchemaAdd:
+    def test_schema_add(self, request, context_of_tests):
+        """
+        When the schema add request is send to the backend
+        it returns 200 status
+        """
+
+        url = '/browser/schema/obj/'
 
-    def runTest(self):
-        """ This function will add schema under database node. """
-        database_info = parent_node_dict["database"][-1]
-        server_id = database_info["server_id"]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-        db_id = database_info["db_id"]
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
-                                                 server_id,
-                                                 db_id)
+                                                 self.server_id,
+                                                 self.db_id)
         if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database to add the schema.")
+            raise Exception("Could not connect to database.")
+
         db_user = self.server["username"]
+        schema_name = "test_schema_{0}".format(str(uuid.uuid4())[1:8])
         data = {
             "deffuncacl": [],
             "defseqacl": [],
             "deftblacl": [],
             "deftypeacl": [],
-            "name": "test_schema_{0}".format(str(uuid.uuid4())[1:8]),
+            "name": schema_name,
             "namespaceowner": db_user,
             "nspacl": [
                 {
@@ -65,8 +74,21 @@ class SchemaAddTestCase(BaseTestGenerator):
             ],
             "seclabels": []
         }
-        response = self.tester.post(self.url + str(utils.SERVER_GROUP) + '/' +
-                                    str(server_id) + '/' + str(db_id) +
-                                    '/', data=json.dumps(data),
-                                    content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+
+        response = self.tester.post(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/',
+            data=json.dumps(data),
+            content_type='html/json')
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'schema',
+            'pgadmin.node.schema',
+            True,
+            'icon-schema',
+            schema_name
+        )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete.py
index ae8e047b..b8463721 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tests/test_schema_delete.py
@@ -9,58 +9,70 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import utils as \
     database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as schema_utils
 
 
-class SchemaDeleteTestCase(BaseTestGenerator):
-    """ This class will add new schema under database node. """
+class TestSchemaDelete:
+    def test_schema_delete(self, request, context_of_tests):
+        """
+        When the schema delete request is send to the backend
+        it returns 200 status
+        """
+
+        url = '/browser/schema/obj/'
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-    scenarios = [
-        # Fetching default URL for extension node.
-        ('Check Schema Node URL', dict(url='/browser/schema/obj/'))
-    ]
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
 
-    def setUp(self):
-        self.database_info = parent_node_dict["database"][-1]
-        self.db_name = self.database_info["db_name"]
-        # Change the db name, so that schema will create in newly created db
         self.schema_name = "schema_get_%s" % str(uuid.uuid4())[1:8]
         connection = utils.get_db_connection(self.db_name,
                                              self.server['username'],
                                              self.server['db_password'],
                                              self.server['host'],
-                                             self.server['port'])
+                                             self.server['port'],
+                                             self.server['sslmode'])
         self.schema_details = schema_utils.create_schema(connection,
                                                          self.schema_name)
-
-    def runTest(self):
-        """ This function will delete schema under database node. """
-        server_id = self.database_info["server_id"]
-        db_id = self.database_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 server_id, db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to delete the"
-                            " schema.")
-
-        schema_id = self.schema_details[0]
-        schema_name = self.schema_details[1]
         schema_response = schema_utils.verify_schemas(self.server,
                                                       self.db_name,
-                                                      schema_name)
+                                                      self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to delete.")
 
-        response = self.tester.delete(self.url + str(utils.SERVER_GROUP) +
-                                      '/' + str(server_id) + '/' +
-                                      str(db_id) + '/' + str(schema_id),
-                                      follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.schema_id = self.schema_details[0]
+
+        response = self.tester.delete(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' +
+            str(self.db_id) + '/' +
+            str(self.schema_id),
+            follow_redirects=True)
 
-    def tearDown(self):
-        pass
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Schema dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
